summaryrefslogtreecommitdiffstats
path: root/.local/bin/tools/ifinstalled
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/tools/ifinstalled')
-rwxr-xr-x.local/bin/tools/ifinstalled3
1 files changed, 3 insertions, 0 deletions
diff --git a/.local/bin/tools/ifinstalled b/.local/bin/tools/ifinstalled
new file mode 100755
index 0000000..b0d23e5
--- /dev/null
+++ b/.local/bin/tools/ifinstalled
@@ -0,0 +1,3 @@
+#!/bin/sh
+# If $1 command is not available, error code and notify.
+command -v "$1" >/dev/null || { notify-send "📦 $1" "must be installed for this function." && exit 1 ;}